Bug 251094 - [NEW PORT] devel/py-doctest-ignore-unicode: Nose plugin to ignore unicode literal prefixes in doctests
Summary: [NEW PORT] devel/py-doctest-ignore-unicode: Nose plugin to ignore unicode lit...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords: feature
Depends on:
Blocks: 251095
  Show dependency treegraph
 
Reported: 2020-11-13 08:32 UTC by Loïc Bartoletti
Modified: 2020-11-15 07:03 UTC (History)
1 user (show)

See Also:


Attachments
devel/py-doctest-ignore-unicode 0.1.2 (2.60 KB, patch)
2020-11-13 08:32 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2020-11-13 08:32:47 UTC
Created attachment 219628 [details]
devel/py-doctest-ignore-unicode 0.1.2

devel/py-doctest-ignore-unicode: Nose plugin to ignore unicode literal prefixes in doctests

This port will be used by graphics/py-pygraphviz (TEST_DEPENDS)


QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11/12/13 amd64/i386 py27/py37)
Comment 1 Loïc Bartoletti freebsd_committer 2020-11-13 08:33:57 UTC
It should be named devel/py-doctest-ignore-unicode or devel/py-nose-doctest-ignore-unicode since it's a nose plugin?
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-11-13 10:38:23 UTC
Whatever the PyPI name is: doctest-ignore-unicode

Minor style suggestions: COMMENT should match package setup.py:description modulo portlint compliance. 

COMMENT: Add flag to ignore unicode literal prefixes in doctests

You could add "(nose) doctests" if preferred. Or suggest a better :description upstream 

^Triage: Reporter is committer, assign accordingly
Comment 3 commit-hook freebsd_committer 2020-11-15 07:03:42 UTC
A commit references this bug:

Author: lbartoletti
Date: Sun Nov 15 07:03:07 UTC 2020
New revision: 555168
URL: https://svnweb.freebsd.org/changeset/ports/555168

Log:
  [NEW PORT] devel/py-doctest-ignore-unicode: Nose plugin to ignore unicode literal prefixes in doctests

  PR:		251094
  Reviewed by:	koobs

Changes:
  head/devel/Makefile
  head/devel/py-doctest-ignore-unicode/
  head/devel/py-doctest-ignore-unicode/Makefile
  head/devel/py-doctest-ignore-unicode/distinfo
  head/devel/py-doctest-ignore-unicode/pkg-descr
Comment 4 Loïc Bartoletti freebsd_committer 2020-11-15 07:03:50 UTC
Committed, with your suggestion. Thanks!